org.apache.sysds.runtime.compress.lib

## Class CLALibBinaryCellOp

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibBinaryCellOp

    public class CLALibBinaryCellOp
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CLALibBinaryCellOp()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CompressedMatrixBlock` `binaryMVRow(CompressedMatrixBlock m1, double[] v, CompressedMatrixBlock ret, BinaryOperator op, boolean left)`
`static MatrixBlock` `binaryOperations(BinaryOperator op, CompressedMatrixBlock m1, MatrixBlock that, MatrixBlock result)`
`static MatrixBlock` `binaryOperationsLeft(BinaryOperator op, CompressedMatrixBlock m1, MatrixBlock that, MatrixBlock result)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibBinaryCellOp

    public CLALibBinaryCellOp()

### Method Detail

#### binaryOperations

    public static MatrixBlock binaryOperations(BinaryOperator op,
                                               CompressedMatrixBlock m1,
                                               MatrixBlock that,
                                               MatrixBlock result)

#### binaryOperationsLeft

    public static MatrixBlock binaryOperationsLeft(BinaryOperator op,
                                                   CompressedMatrixBlock m1,
                                                   MatrixBlock that,
                                                   MatrixBlock result)

#### binaryMVRow

    public static CompressedMatrixBlock binaryMVRow(CompressedMatrixBlock m1,
                                                    double[] v,
                                                    CompressedMatrixBlock ret,
                                                    BinaryOperator op,
                                                    boolean left)